/* **************************************************************************

   $Source: /repository/sml/njml_patch/tksml/tksml.h,v $

   The Core of TK_INSIDE - the configuration of sml_tk 
   witk linked-in Tk-interpreter for faster communinication.
     

   $Date: 2000/04/19 10:51:38 $
   $Revision: 1.5 $

   Author: bu&behrends (Last modification $Author: bu $)

   (C) 1998, Albert-Ludwigs-Universitaet Freiburg
 
   ************************************************************************* */

#include <stdio.h>
#include "tcl.h"
#include "tk.h"

extern void		exit _ANSI_ARGS_((int status));


static Tcl_Interp *interp;	/* Interpreter for this application. */

#define BUFFER_SIZE 1000  	/* Buffers for communication 
                                   Contains identifier and
                                   bind arguments
                                */

/* combined event-Cmd - and value buffer */
/* In future separation ? */
static char to_sml[BUFFER_SIZE];/* events: tk to sml */

/* head and tail of the buffer-queue */
static int  to_sml_head=0;
static int  to_sml_tail=0;

/* indicates whether a tcl-interpreter was generated (via init) or not */
static int  tclRunning =0;      /* 0 = False, 1 = True */

/* indicates whether an event was generated (via doOneEvent). */
/* NOTE that Tk also generates empty events. */
static int  eventWasGenerated=0;/* 0 = False, 1 = True */



